---
schema_version: "1"
id: 6bee35f8b44dd62a629f16d75dd9f7291506ab31d8fd7afef0ace649f4bdb363
title: POST /sms/v1/automation/importSend/{id}/deliveryReport
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/importSendDeliveryReport.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/importSendDeliveryReport.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 7d2e68702dd635255c40b0b76cee6eb89e95d4d65cfe8dea54adf6282d1f724b
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /sms/v1/automation/importSend/{id}/deliveryReport

Generates a .csv file that contains information regarding SMS message delivery for a specific MessageList. The resulting report is stored in the account's Enhanced FTP site.

## URL Parameters

| Name      | Type   | Description                                                |
| --------- | ------ | ---------------------------------------------------------- |
| `tokenid` | string | Required. The ID provided in the MessageList REST response |

## JSON Parameters

| Name       | Type   | Description                                                      |
| ---------- | ------ | ---------------------------------------------------------------- |
| `fileName` | string | Required. The name of the report file in your FTP/reports folder |

## Usage

Sent a POST request to the `/sms/v1/automation/importSend/{tokenid}/deliveryReport/` endpoint.

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /sms/v1/automation/importSend/TOKEN_ID/deliveryReport/
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
  "filename": "DeliveryReportFileName"
}
```
